API per partner › Account Ottenere l'elenco dei pagamenti GET /api/crm/v2/paymentsv2
operationId: payments.default
Autorizzazione api-token + language + role
Parametri della richiesta payment string obbligatorio
Esempio: plastic_card
Risposte 200 404
object
status string obbligatorio
Valori: successerror
Esempio: success
data object
filters object
payment object (FilterEnum)
Filtro enumerazione: elenco piatto di valori enumerati
value string
Esempio: example
type string obbligatorio
Esempio: select
mode string (FilterMode)
Come l'interfaccia gestisce il filtro; un filtro normale non ha mode.
force_shown — sempre visibile, non può essere nascosto.
value_required — punto di ingresso nella sezione: sempre visibile, non può avere valore vuoto (finché non viene selezionato un valore, la lista è vuota; non esiste l'opzione "tutti"), il reset generale non lo azzera.
Valori: force_shownvalue_required
Esempio: value_required
auto_payment object
Solo per il pagamento automatico
id integer obbligatorio
Esempio: 1
card_id string obbligatorio
Esempio: 78787878
sum integer obbligatorio
Esempio: 20
payment_option_id integer obbligatorio
Esempio: 23
currency_code string obbligatorio
Esempio: RUB
amount string obbligatorio
Esempio: 1
Una delle opzioni
object
object
conversion_payment_sum number obbligatorio
Esempio: 20
conversion_payment_currency_code string obbligatorio
Esempio: RUB
list array of object
option_id integer obbligatorio
Esempio: 23
name string obbligatorio
Esempio: Visa / MasterCard / MIR
system_method string obbligatorio
Esempio: plastic_card
recurrent boolean obbligatorio
Esempio: true
name_gateway string obbligatorio
Esempio: Example Bank
system_name string
Esempio: Tinkoff
payment_settings_id integer
Configurazione del gateway di pagamento per la valuta; restituito in payments.add_transaction
Esempio: 12
currency_code string
Esempio: RUB
is_native boolean
Esempio: true
minimum_sum_multiplier integer
Esempio: 1
conversion_payment string
Esempio: 1
payment_info object
payment_id integer obbligatorio
Esempio: 1
system_name string obbligatorio
Esempio: tbank
min_sum_for_pay number
Esempio: 600
short_text string
Esempio: ₽
test_account boolean
Esempio: true
curl PHP JavaScript Python Copiare
curl -X GET 'https://foodsoul.pro/api/crm/v2/payments?payment=plastic_card' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: it' \
-H 'role: partner' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'GET' , 'https://foodsoul.pro/api/crm/v2/payments?payment=plastic_card' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'it' ,
'role' => 'partner' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.pro/api/crm/v2/payments?payment=plastic_card" , {
method : "GET" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "it" ,
"role" : "partner"
},
})
const data = await response . json () import requests
response = requests . request (
"GET" ,
"https://foodsoul.pro/api/crm/v2/payments?payment=plastic_card" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "it" ,
"role" : "partner" ,
},
)
data = response . json () Risposta 200
{
"status" : "success" ,
"data" : {
"filters" : {
"payment" : {
"value" : "example" ,
"type" : "select" ,
"option" : [
"string"
],
"mode" : "value_required"
}
},
"auto_payment" : {
"conversion_payment_sum" : 20 ,
"conversion_payment_currency_code" : "RUB"
},
"list" : [
{
"option_id" : 23 ,
"name" : "Visa / MasterCard / MIR" ,
"system_method" : "plastic_card" ,
"recurrent" : true ,
"name_gateway" : "Example Bank" ,
"system_name" : "Tinkoff" ,
"payment_settings_id" : 12 ,
"currency_code" : "RUB" ,
"is_native" : true ,
"minimum_sum_multiplier" : 1 ,
"conversion_payment" : "1" ,
"payment_info" : {
"payment_id" : 1 ,
"system_name" : "tbank"
}
}
],
"min_sum_for_pay" : 600 ,
"short_text" : "₽" ,
"test_account" : true
}
} Le richieste vengono inviate a foodsoul.pro, che è l’host di questo portale; non è possibile sceglierne un altro.